package com.ruoyi.ai.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.ai.domain.AiUserMessage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * 站内信管理Service接口
 * 
 * @author shi
 * @date 2025-11-13
 */
public interface IAiUserMessageService {

    /**
     * 查询站内信管理
     * 
     * @param id 站内信管理主键
     * @return 站内信管理
     */
    AiUserMessage selectAiUserMessageById(Long id);

    /**
     * 查询站内信管理列表
     * 
     * @param aiUserMessage 站内信管理
     * @return 站内信管理集合
     */
    List<AiUserMessage> selectAiUserMessageList(AiUserMessage aiUserMessage);

    /**
     * 分页查询站内信管理列表
     *
     * @param aiUserMessage 站内信管理
     * @return 站内信管理集合
     */
    IPage<AiUserMessage> selectAiUserMessagePage(Page page, AiUserMessage aiUserMessage);

    /**
     * 新增站内信管理
     * 
     * @param aiUserMessage 站内信管理
     * @return 结果
     */
    int insertAiUserMessage(AiUserMessage aiUserMessage);

    /**
     * 修改站内信管理
     * 
     * @param aiUserMessage 站内信管理
     * @return 结果
     */
    int updateAiUserMessage(AiUserMessage aiUserMessage);

    /**
     * 批量删除站内信管理
     * 
     * @param ids 需要删除的站内信管理主键集合
     * @return 结果
     */
    int deleteAiUserMessageByIds(Long[] ids);

    /**
     * 删除站内信管理信息
     * 
     * @param id 站内信管理主键
     * @return 结果
     */
    int deleteAiUserMessageById(Long id);
}
